com.google.cloud.dataflow.sdk.transforms.windowing

## Enum Window.ClosingBehavior

- java.lang.Object
- - java.lang.Enum<Window.ClosingBehavior>
  - - com.google.cloud.dataflow.sdk.transforms.windowing.Window.ClosingBehavior

All Implemented Interfaces:
  Serializable, Comparable<Window.ClosingBehavior>

Enclosing class:
  Window

    public static enum Window.ClosingBehavior
    extends Enum<Window.ClosingBehavior>

Specifies the conditions under which a final pane will be created when a window is permanently closed.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FIRE_ALWAYS` Always fire the last pane.
`FIRE_IF_NON_EMPTY` Only fire the last pane if there is new data since the previous firing.

### Method Summary

All Methods Static Methods Concrete Methods
`static Window.ClosingBehavior` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Window.ClosingBehavior[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FIRE_ALWAYS

    public static final Window.ClosingBehavior FIRE_ALWAYS

Always fire the last pane. Even if there is no new data since the previous firing, an element with `PaneInfo.isLast()` `true` will be produced.

#### FIRE_IF_NON_EMPTY

    public static final Window.ClosingBehavior FIRE_IF_NON_EMPTY

Only fire the last pane if there is new data since the previous firing.

This is the default behavior.

### Method Detail

#### values

    public static Window.ClosingBehavior[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Window.ClosingBehavior c : Window.ClosingBehavior.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Window.ClosingBehavior valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null